WinUser.AddUserResultType (install4j API)
Description: declaration: package: com.install4j.api.windows, class: WinUser, enum: AddUserResultType

# Enum Class WinUser.AddUserResultType

java.lang.Object
java.lang.Enum<WinUser.AddUserResultType>
com.install4j.api.windows.WinUser.AddUserResultType

All Implemented Interfaces:
  `Serializable, Comparable<WinUser.AddUserResultType>, Constable`

Enclosing class:
  `WinUser`

public static enum WinUser.AddUserResultType extends Enum<WinUser.AddUserResultType>
The type of result returned by `WinUser.addUser(String, String, String, WinUser.GroupCreationMode, String, String)`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR_ACCESS_DENIED`
  The current user has no access to the user database, or the operation is only allowed on the primary domain controller of the domain.
  `ERROR_BAD_USER_NAME`
  The user name is invalid.
  `ERROR_GROUP_EXISTS`
  The group that should be newly created already exists.
  `ERROR_GROUP_NOT_FOUND`
  The group that should already exist could not be found.
  `ERROR_OTHER`
  Another type of error occurred during user creation.
  `ERROR_PASSWORD_REQUIREMENTS`
  The password does not meet the password policy requirements.
  `ERROR_USER_EXISTS`
  The user that should be created already exists.
  `SUCCESS`
  The user creation and the optional local group creation succeeded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static WinUser.AddUserResultType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WinUser.AddUserResultType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final WinUser.AddUserResultType SUCCESS
    The user creation and the optional local group creation succeeded.

  - ### ERROR_ACCESS_DENIED

    public static final WinUser.AddUserResultType ERROR_ACCESS_DENIED
    The current user has no access to the user database, or the operation is only allowed on the primary domain controller of the domain.

  - ### ERROR_GROUP_EXISTS

    public static final WinUser.AddUserResultType ERROR_GROUP_EXISTS
    The group that should be newly created already exists.

  - ### ERROR_GROUP_NOT_FOUND

    public static final WinUser.AddUserResultType ERROR_GROUP_NOT_FOUND
    The group that should already exist could not be found.

  - ### ERROR_USER_EXISTS

    public static final WinUser.AddUserResultType ERROR_USER_EXISTS
    The user that should be created already exists.

  - ### ERROR_BAD_USER_NAME

    public static final WinUser.AddUserResultType ERROR_BAD_USER_NAME
    The user name is invalid.

  - ### ERROR_PASSWORD_REQUIREMENTS

    public static final WinUser.AddUserResultType ERROR_PASSWORD_REQUIREMENTS
    The password does not meet the password policy requirements. Check the minimum password length, password complexity, and password history requirements.

  - ### ERROR_OTHER

    public static final WinUser.AddUserResultType ERROR_OTHER
    Another type of error occurred during user creation.

- ## Method Details

  - ### values

    public static WinUser.AddUserResultType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WinUser.AddUserResultType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<WinUser.AddUserResultType>`